public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/anki/
Date: Sun, 29 Jan 2017 17:07:08 +0000 (UTC)	[thread overview]
Message-ID: <1485709624.a036a8295506782fe53d5f9974f4480745f01389.patrick@gentoo> (raw)

commit:     a036a8295506782fe53d5f9974f4480745f01389
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 29 17:06:50 2017 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sun Jan 29 17:07:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a036a829

app-misc/anki: Bump

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-misc/anki/Manifest           |  1 +
 app-misc/anki/anki-2.0.41.ebuild | 63 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/app-misc/anki/Manifest b/app-misc/anki/Manifest
index 494a8dd..9279b58 100644
--- a/app-misc/anki/Manifest
+++ b/app-misc/anki/Manifest
@@ -3,3 +3,4 @@ DIST anki-2.0.33.tgz 3376646 SHA256 b9fe2c35a68e90f3fa31f5c67f3447a7e1033d1c909b
 DIST anki-2.0.34.tgz 3411136 SHA256 ce70f10efb7deabb5cf5e6e003a3ee0b22a2d37ed24ac6c4d8f4e079b8ae5ff8 SHA512 289e937be7174b24b5213166d5d434a265ebef313815dbe105de6e21c83c6cf0cba93000e489b050fc5a04fc80bac25a71e7a42adad55bf2a1a2a246890dacdd WHIRLPOOL 3b3f2f9292b917dbde23825d75f2dde1219c3992538f29fea11a5c3bb6223abbf86a8593c50c0ee6d2ab783a23c38c5358c768a280a1cfbf6af01097e5070da2
 DIST anki-2.0.35.tgz 3410475 SHA256 bb8a229b85f551e2f69829f9ec8485633b739c701dabd0067acb06fe3b1af3b4 SHA512 4877e564bf052220b6ba8b59d18d7a1a3a326b01339dfdf85cc13513c6f54a8927f3fad2861f6edff0db691ea208dd1a481afa3f412d7b4af4ee94d645ee6e6e WHIRLPOOL 04166b0764c1f3e8aeee33b1a3b0a70510b3be8e34e9bee8b43ca0cbbfb416e03ff19b1fe714aa7c2e7970dfca86524bfa4d739e86a4ac1bdc07a765cd1b1d08
 DIST anki-2.0.36.tgz 3410538 SHA256 fb208230cdc50ea02d53f521cf03926c627fff7cf731b7d29dc733d3ab04171c SHA512 34ef4c06a21c786d9a82f41bd2bc8308a12860f17d0cbb45466ac7f0e3867b669f8bae65442bb74af51ad906393b790b049c82f2bfa0871cb465d96dd057e147 WHIRLPOOL dd3c8f5ae28e14ee4c0f8d8142d87a4bc308f8c877c82aa23c3785d88e512da68105ca5f55d683b2886bdafe70abd0e375465744fa7d7e22f6f8935b2f70aae4
+DIST anki-2.0.41.tgz 3422038 SHA256 f9e8498d62cda2c2892ca2141ec1a318159499c6b280edeaf8c2b95e97e3ab4e SHA512 b5f58fdd690cca84fbe26f6b626d04e638b9d814a51fa6bad33f86eccc3c8d41712594a60a6621b1103fe974350a6ecffcd4e5cc1702eb3d79d3187fe30b8872 WHIRLPOOL 08b0e8beae817ccca10f392d4bd8be1d560860a4768515e5b3023b792288680651baae2669532b66aac65c2afe1fc4d18ca0cddb9282b6f5159a31d670624810

diff --git a/app-misc/anki/anki-2.0.41.ebuild b/app-misc/anki/anki-2.0.41.ebuild
new file mode 100644
index 00000000..ea66b3a
--- /dev/null
+++ b/app-misc/anki/anki-2.0.41.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit eutils python-single-r1
+
+DESCRIPTION="A spaced-repetition memory training program (flash cards)"
+HOMEPAGE="https://apps.ankiweb.net"
+SRC_URI="https://apps.ankiweb.net/downloads/current/${P}-source.tgz -> ${P}.tgz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="latex +recording +sound"
+
+RDEPEND="${PYTHON_DEPS}
+	 dev-python/PyQt4[X,svg,webkit]
+	 >=dev-python/httplib2-0.7.4
+	 dev-python/beautifulsoup:python-2
+	 dev-python/send2trash
+	 recording? ( media-sound/lame
+				  >=dev-python/pyaudio-0.2.4 )
+	 sound? ( media-video/mplayer )
+	 latex? ( app-text/texlive
+			  app-text/dvipng )"
+DEPEND=""
+
+pkg_setup(){
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	rm -r thirdparty || die
+	sed -i -e "s/updates=True/updates=False/" \
+		aqt/profiles.py || die
+}
+
+# Nothing to configure or compile
+src_configure() {
+	true;
+}
+
+src_compile() {
+	true;
+}
+
+src_install() {
+	doicon ${PN}.png
+	domenu ${PN}.desktop
+	doman ${PN}.1
+
+	dodoc README README.development
+	python_domodule aqt anki
+	python_doscript anki/anki
+
+	# Localization files go into the anki directory:
+	python_moduleinto anki
+	python_domodule locale
+}


             reply	other threads:[~2017-01-29 17:12 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-29 17:07 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-19 19:04 [gentoo-commits] repo/gentoo:master commit in: app-misc/anki/ Joonas Niilola
2024-08-19 19:04 Joonas Niilola
2024-08-19 19:04 Joonas Niilola
2024-05-15  9:56 Florian Schmaus
2024-05-15  9:56 Florian Schmaus
2024-05-15  9:56 Florian Schmaus
2024-03-21  2:50 Sam James
2024-01-21 10:00 Sam James
2022-06-02  7:52 Michał Górny
2021-06-01  0:04 Sam James
2021-04-12 22:50 Sam James
2021-02-02 22:08 Sam James
2021-01-01  0:47 Michał Górny
2020-02-16 22:13 Andreas Sturmlechner
2020-02-09 16:11 Michał Górny
2019-11-17 18:51 Davide Pesavento
2019-06-20 13:26 罗百科
2018-03-01 12:55 Andreas Sturmlechner
2017-12-19  0:20 Andreas Sturmlechner
2017-12-18 12:37 Michael Weber
2017-12-14 15:32 Michael Weber
2017-11-18 14:01 Patrick Lauer
2017-09-23  6:31 Patrick Lauer
2017-04-22 13:52 Michał Górny
2017-04-20  7:59 David Seifert
2017-03-08  1:23 Mike Frysinger
2016-04-19 10:06 Patrick Lauer
2016-04-11 10:13 Patrick Lauer
2016-03-31  6:18 Patrick Lauer
2016-01-02 18:53 Agostino Sarubbo
2015-12-12  5:15 Thomas Kahle
2015-12-12  5:15 Thomas Kahle

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1485709624.a036a8295506782fe53d5f9974f4480745f01389.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox